For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve partner pricing lists

Get information about all the pricing lists available to a specific partner and which can be used for a new purchase.

Request parameters

Parameter
Type / Description

sessionID

String (Int) Session identifier, which is the output of the Login method. An exception will be thrown if the values are incorrect

Request sample

<?php

require ('PATH_TO_AUTH');  // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/02Authentication
require ('PATH_TO_SET_PARTNER'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/JSON-RPC/06Reference/Partner/00Set_partner

$jsonRpcRequest = array (
'jsonrpc' => '2.0',
'id' => $i++,
'method' => 'getPartnerPricingLists',
'params' => array($sessionID)
);
var_dump (callRPC((Object)$jsonRpcRequest, $host));

Response parameters

Parameter
Type/Description

SimplePricingList

Array of objects An array of pricing list objects with the structure described below.

Errors

Error
Description

INVALID_PARTNER

No partner is set

PARTNER_PRICING_LISTS_NOT_FOUND

There are no pricing lists with provided code.

Last updated

Was this helpful?